Overview | Package | Class | Tree | Deprecated | Index | Help
| JSS 3.4
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mozilla.jss.crypto
Interface SymmetricKey

All Known Implementing Classes:
  PK11SymKey

public interface SymmetricKey

Nested Class Summary
`static class` | `SymmetricKey.NotExtractableException`
`static class` | `SymmetricKey.Type`
`static class` | `SymmetricKey.Usage` In PKCS #11, each key can be marked with the operations it will be used to perform.

Field Summary
`static SymmetricKey.Type` | `DES`
`static SymmetricKey.Type` | `DES3`
`static SymmetricKey.Type` | `RC2`
`static SymmetricKey.Type` | `RC4`
`static SymmetricKey.Type` | `SHA1_HMAC`

Method Summary
`java.lang.String` | `getAlgorithm()`
`byte[]` | `getEncoded()`
`java.lang.String` | `getFormat()`
`byte[]` | `getKeyData()`
`int` | `getLength()`
`CryptoToken` | `getOwningToken()`
`int` | `getStrength()`
`SymmetricKey.Type` | `getType()`

Field Detail

### DES

    public static final SymmetricKey.Type DES

### DES3

    public static final SymmetricKey.Type DES3

### RC4

    public static final SymmetricKey.Type RC4

### RC2

    public static final SymmetricKey.Type RC2

### SHA1_HMAC

    public static final SymmetricKey.Type SHA1_HMAC

Method Detail

### getType

    public SymmetricKey.Type getType()

### getOwningToken

    public CryptoToken getOwningToken()

### getStrength

    public int getStrength()

### getLength

    public int getLength()

### getKeyData

    public byte[] getKeyData()
                      throws SymmetricKey.NotExtractableException

    `SymmetricKey.NotExtractableException`

### getAlgorithm

    public java.lang.String getAlgorithm()

### getEncoded

    public byte[] getEncoded()

### getFormat

    public java.lang.String getFormat()

Overview | Package | Class | Tree | Deprecated | Index | Help
| JSS 3.4
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD